### Namespace

# Manette – 0.2

Simple GObject game controller library

Version | 0.2.13
Authors | Adrien Plazas
License | LGPL-2.1-or-later
Website | https://gnome.pages.gitlab.gnome.org/libmanette
Source | https://gitlab.gnome.org/GNOME/libmanette

#### Build

C headers | `libmanette.h`
pkg-config files | `manette-0.2`

#### Dependencies

GObject—2.0 | The base type system and object class
| Browse documentation
Gio—2.0 | General purpose I/O, networking, IPC, settings, and other high level application functionality
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Device | An object representing a physical gamepad.
Monitor | An object monitoring the availability of devices.

#### Structs

MonitorIter | An object iterating over the available devices in `ManetteMonitor`.

#### Unions

Event | An event emitted by a `ManetteDevice`.

#### Enumerations

DeviceType | Describes available types of a `ManetteDevice`. since: 0.2.10
EventType | Specifies the type of the event.

#### Functions

get_major_version | Returns the major version number of the libmanette library.
get_micro_version | Returns the micro version number of the libmanette library.
get_minor_version | Returns the minor version number of the libmanette library.

#### Function Macros

CHECK_VERSION | Compile-time version checking. Evaluates to `TRUE` if the version of libmanette is greater than the required one. since: 0.2.10

#### Constants

MAJOR_VERSION | Libmanette major version component (e.g. 1 if the version is 1.2.3).
MICRO_VERSION | Libmanette micro version component (e.g. 3 if the version is 1.2.3).
MINOR_VERSION | Libmanette minor version component (e.g. 2 if the version is 1.2.3).
VERSION_S | Libmanette version, encoded as a string, useful for printing and concatenation.